
/*
Theme Name: Avada Child
Description: Child theme for Avada theme
Author: ThemeFusion
Author URI: https://theme-fusion.com
Template: Avada
Version: 1.0.0
Text Domain:  Avada
*/
.store_locator {
	flex-grow: 1;
}

.store_locator .store_locator__search {
	background: transparent;
	border: 0;
	color: white;
	border-bottom-width: 1px;
	width: 100%;
	height: 100%;
	display: block;
	border-bottom: 1px solid white;
	font-size: var(--body_typography-font-size);
}

.store_locator .store_locator__search::-webkit-input-placeholder {
	color: rgba(255, 255, 255, .2);
}

.store_locator__geolocation .button-icon-left {
	margin-right: 0;
}

body:not(.fusion-builder-live) .store_locator_results__loading, body:not(.fusion-builder-live) .store_locator_results__loaded, body:not(.fusion-builder-live) .store_locator_results__list {
	display: none !important;
}

body:not(.fusion-builder-live) .store_locator_results__loading.visible, body:not(.fusion-builder-live) .store_locator_results__loaded.visible {
	display: block !important;
}

.store_locator_results__list {
	padding: 20px;
	background: color(srgb 0 0 0 / .15);
	color: white;
	--link_hover_color: white;
	--button_gradient_top_color: var(--awb-color8);
	--button_gradient_bottom_color: var(--awb-color8);
}

body:not(.fusion-builder-live) .store_locator_results__list.visible {
	display: flex !important;
	flex-direction: column;
	gap: 40px;
}

.store_locator_results__list .store_locator_results__list__item {
	display: flex;
	flex-direction: column;
}

.store_locator_results__list .store_locator_results__list__item:last-child {
	margin-bottom: 0;
}

.store_locator_results__list .store_locator_results__list__item .distance {
	font-size: 50%;
}

.store_locator_results__list .store_locator_results__list__item .store_locator_results__list__item__actions {
	display: flex;
	flex-direction: column;
	gap: 5px;
}

.store_locator_results__list .store_locator_results__list__item .store_locator_results__list__item__actions .fusion-button-accent {
	background: var(--awb-color1);
	color: var(--awb-color4);
}

.store_locator_results__list .store_locator_results__list__item .store_locator_results__list__item__actions .fusion-button-accent:hover {
	background: var(--button_gradient_top_color_hover);
	color: var(--awb-color1);
}

@media (min-width:1200px) {
	.store_locator_results__list .store_locator_results__list__item .store_locator_results__list__item__actions {
		flex-direction: row;
		gap: 10px;
	}
}

@media (min-width:640px) {
	.store_locator_results__list .store_locator_results__list__item {
		flex-direction: row;
		justify-content: space-between;
		align-items: center;
	}
}

.store_locator_map {
	width: 100%;
	height: 600px;
	display: none;
}

.store_locator_map.visible {
	display: block;
}

.store_locator_map .store_locator_map__infowindow, .location-map .store_locator_map__infowindow {
	width: 200px;
}

.store_locator_map .store_locator_map__infowindow h1, .location-map .store_locator_map__infowindow h1 {
	font-size: 20px;
	margin-bottom: 10px;
	text-transform: uppercase;
}

.store_locator_map .store_locator_map__infowindow .bodyContent, .location-map .store_locator_map__infowindow .bodyContent {
	font-size: 14px;
}

.store_locator_map .store_locator_map__infowindow .actions, .location-map .store_locator_map__infowindow .actions {
	font-size: 14px;
	display: flex;
	flex-direction: column;
	gap: 8px;
}

.widget_wpc_filters_widget .wpc-filter-header .wpc-filter-title {
	font-weight: 700;
	cursor: pointer;
	padding-right: 8px;
	text-transform: uppercase;
	font-family: var(--awb-typography1-font-family);
}

.widget_wpc_filters_widget .wpc-filter-header .wpc-filter-title:after {
	content: "";
	font-family: "Font Awesome 5 Pro";
	font-weight: 900;
	color: var(--awb-color5);
	transition: transform .5s ease;
}

.widget_wpc_filters_widget .wpc-filter-header + .wpc-filter-content {
	max-height: 500px;
	transition: max-height .5s ease;
	overflow: hidden;
}

.widget_wpc_filters_widget .wpc-filter-header.collapsed + .wpc-filter-content {
	max-height: 0;
}

.widget_wpc_filters_widget .wpc-filter-header.collapsed .wpc-filter-title:after {
	transform: rotate(180deg);
}

.widget_wpc_filters_widget .wpc-filters-checkboxes li.wpc-term-item label {
	width: 100%;
}

.widget_wpc_filters_widget .wpc-filters-checkboxes li.wpc-term-item label .wpc-term-count {
	margin-left: auto;
	font-weight: bold;
	display: block;
	opacity: 1;
}

.widget_wpc_filters_widget .wpc-filters-section {
	margin-right: 50px;
}

.widget_wpc_filters_widget .wpc-filters-section:not(:last-child) {
	border-bottom: 1px solid #a1a1a1;
}

.location-map {
	height: 600px;
}
